php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #57012 compilation errors
Submitted: 2006-05-12 22:07 UTC Modified: 2006-05-12 23:56 UTC
From: jeff at procata dot com Assigned:
Status: Not a bug Package: APC (PECL)
PHP Version: 5.0.4 OS: Red Hat 9
Private report: No CVE-ID: None
 [2006-05-12 22:07 UTC] jeff at procata dot com
Description:
------------
Compilation errors starting with 

/root/staging/APC-3.0.10/apc_compile.c: In function 
`my_copy_class_entry':
/root/staging/APC-3.0.10/apc_compile.c:653: structure 
has no member named `default_static_members'

...

/root/staging/APC-3.0.10/apc_compile.c:709: structure 
has no member named `__unset'
/root/staging/APC-3.0.10/apc_compile.c:710: structure 
has no member named `__isset'
/root/staging/APC-3.0.10/apc_compile.c:714: structure 
has no member named `serialize_func'




Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2006-05-12 22:11 UTC] rasmus@php.net
PHP 5.0.x is not supported.  Upgrade to PHP 5.1.x.
 [2006-05-12 23:53 UTC] jeff at procata dot com
I figured as much, However, this http://pecl.php.net/
package/APC lists the dependencies as:

Release 3.0.10:	
PHP Version: PHP 4.3.0 or newer
PEAR Package: PEAR Installer 1.4.0 or newer

Thanks.
 [2006-05-12 23:56 UTC] rasmus@php.net
Yeah, there is no way to define 4.* and 5.1.* in the dependency mechanism.  It works with PHp 4.3.x, 4.4.x and 5.1.x, just not 5.0.x.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Thu Jul 18 07:01:26 2019 UTC